# Generated by Django 3.1.11 on 2021-06-01 12:53

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Tenant',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('sdc_id', models.UUIDField(unique=True, verbose_name='SDC ID')),
                ('sdc_base_url', models.URLField(verbose_name='SDC base URL')),
                ('sdc_username', models.CharField(max_length=64, verbose_name='SDC username')),
                ('sdc_password', models.CharField(max_length=64, verbose_name='SDC password')),
                ('latest_registration_number', models.PositiveIntegerField(default=0, verbose_name='latest registration number')),
                ('latest_registration_number_issued_at', models.DateTimeField(default=django.utils.timezone.now, verbose_name='latest registration number issued at')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('sdc_id', models.UUIDField(unique=True, verbose_name='SDC ID')),
                ('provider', models.CharField(choices=[('datagraph', 'datagraph')], max_length=32, verbose_name='provider')),
                ('tenant', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='services', to='applications.tenant', verbose_name='tenant')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DatagraphConfig',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('url', models.URLField(verbose_name='URL')),
                ('codente', models.CharField(max_length=64, verbose_name='codente')),
                ('username', models.CharField(max_length=64, verbose_name='username')),
                ('password', models.CharField(max_length=64, verbose_name='password')),
                ('institution_name', models.CharField(max_length=1024, verbose_name='institution name')),
                ('institution_code', models.CharField(max_length=32, verbose_name='institution code')),
                ('institution_email', models.EmailField(max_length=254, verbose_name='institution email')),
                ('institution_ou', models.CharField(max_length=32, verbose_name='institution OU')),
                ('institution_aoo_code', models.CharField(max_length=32, verbose_name='AOO code')),
                ('classification_institution_code', models.CharField(max_length=32, null=True, verbose_name='institution code for classification')),
                ('classification_aoo_code', models.CharField(max_length=32, null=True, verbose_name='AOO code for classification')),
                ('classification_hierarchy', models.CharField(max_length=16, null=True, verbose_name='classification hierarchy')),
                ('folder_number', models.CharField(max_length=16, null=True, verbose_name='folder number')),
                ('folder_year', models.CharField(max_length=4, null=True, verbose_name='folder year')),
                ('document_format', models.CharField(max_length=32, verbose_name='document format')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='datagraph_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='datagraphconfig',
            constraint=models.UniqueConstraint(condition=models.Q(is_active=True), fields=('service', 'is_active'), name='applications_datagraphconfig_unique_service_is_active_true'),
        ),
    ]
